<template>
  <div>
    This is my Index File
    <ul>
      <li>
        <a href="/user">Anchor Tag to Users Page</a>
      </li>
      <li>
        <nuxt-link to="/user">User Through Nuxt Link</nuxt-link>
      </li>
      <li>
        <nuxt-link to="/blog/posts">Posts</nuxt-link>
      </li>
      <li><nuxt-link to="/blog/posts/1">Posts 1</nuxt-link></li>
      <li>
        <nuxt-link to="/about">About Page</nuxt-link>
      </li>
      <li>
        <nuxt-link to="/blog/posts/1/comments">Post 1 Comments</nuxt-link>
      </li>
    </ul>
    <div class="dynamic-url-slugs">
      {{ slug }}
      <input type="text" v-model="slug" />
      <button type="button" @click="goToPost">Go to Post</button>
      <button type="button" @click="goToCommentsForThePost">
        Go to Comments
      </button>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      slug: ""
    };
  },
  methods: {
    goToPost() {
      this.$router.push("/blog/posts/" + this.slug);
      //direct the user to posts page
    },
    goToCommentsForThePost() {
      this.$router.push("/blog/posts/" + this.slug + "/comments");
    }
  }
};
</script>

<style lang="css" scoped>
.dynamic-url-slugs {
  text-align: center;
  margin-top: 20px;
}
</style>
